PHPExcel_Style

# Class: PHPExcel_Style_Conditional

Source Location: /PHPExcel/Style/Conditional.php

### Class Overview

PHPExcel_Style_Conditional

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Constants

- CONDITION_CELLIS
- CONDITION_CONTAINSTEXT
- CONDITION_EXPRESSION
- CONDITION_NONE
- OPERATOR_BEGINSWITH
- OPERATOR_BETWEEN
- OPERATOR_CONTAINSTEXT
- OPERATOR_ENDSWITH
- OPERATOR_EQUAL
- OPERATOR_GREATERTHAN
- OPERATOR_GREATERTHANOREQUAL
- OPERATOR_LESSTHAN
- OPERATOR_LESSTHANOREQUAL
- OPERATOR_NONE
- OPERATOR_NOTCONTAINS
- OPERATOR_NOTEQUAL

### Methods

- addCondition
- __construct
- getCondition
- getConditions
- getConditionType
- getHashCode
- getOperatorType
- getStyle
- getText
- setCondition
- setConditions
- setConditionType
- setOperatorType
- setStyle
- setText
- __clone

### Class Details

[line 36]
PHPExcel_Style_Conditional

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method addCondition [line 223]

`PHPExcel_Style_Conditional addCondition( [string $pValue = ''])`

Add Condition

#### Tags:

access: | public

#### Parameters:

string | $pValue | Condition

[ Top ]

### constructor __construct [line 96]

`PHPExcel_Style_Conditional __construct( )`

Create a new PHPExcel_Style_Conditional

#### Tags:

access: | public

[ Top ]

### method getCondition [line 172]

`string getCondition( )`

Get Condition

#### Tags:

deprecated: | Deprecated, use getConditions instead
access: | public

[ Top ]

### method getConditions [line 199]

`string[] getConditions( )`

Get Conditions

#### Tags:

access: | public

[ Top ]

### method getConditionType [line 111]

`string getConditionType( )`

Get Condition type

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 254]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getOperatorType [line 131]

`string getOperatorType( )`

Get Operator type

#### Tags:

access: | public

[ Top ]

### method getStyle [line 233]

`PHPExcel_Style getStyle( )`

Get Style

#### Tags:

access: | public

[ Top ]

### method getText [line 151]

`string getText( )`

Get text

#### Tags:

access: | public

[ Top ]

### method setCondition [line 187]

`PHPExcel_Style_Conditional setCondition( [string $pValue = ''])`

Set Condition

#### Tags:

deprecated: | Deprecated, use setConditions instead
access: | public

#### Parameters:

string | $pValue | Condition

[ Top ]

### method setConditions [line 209]

`PHPExcel_Style_Conditional setConditions( string[] $pValue)`

Set Conditions

#### Tags:

access: | public

#### Parameters:

string[] | $pValue | Condition

[ Top ]

### method setConditionType [line 121]

`PHPExcel_Style_Conditional setConditionType( [string $pValue = PHPExcel_Style_Conditional::CONDITION_NONE])`

Set Condition type

#### Tags:

access: | public

#### Parameters:

string | $pValue | PHPExcel_Style_Conditional condition type

[ Top ]

### method setOperatorType [line 141]

`PHPExcel_Style_Conditional setOperatorType( [string $pValue = PHPExcel_Style_Conditional::OPERATOR_NONE])`

Set Operator type

#### Tags:

access: | public

#### Parameters:

string | $pValue | PHPExcel_Style_Conditional operator type

[ Top ]

### method setStyle [line 244]

`PHPExcel_Style_Conditional setStyle( [PHPExcel_Style $pValue = null])`

Set Style

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Style | $pValue |

[ Top ]

### method setText [line 161]

`PHPExcel_Style_Conditional setText( [string $value = null])`

Set text

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method __clone [line 267]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### CONDITION_CELLIS = 'cellIs'

[line 40]

[ Top ]

#### CONDITION_CONTAINSTEXT = 'containsText'

[line 41]

[ Top ]

#### CONDITION_EXPRESSION = 'expression'

[line 42]

[ Top ]

#### CONDITION_NONE = 'none'

[line 39]

[ Top ]

#### OPERATOR_BEGINSWITH = 'beginsWith'

[line 46]

[ Top ]

#### OPERATOR_BETWEEN = 'between'

[line 56]

[ Top ]

#### OPERATOR_CONTAINSTEXT = 'containsText'

[line 54]

[ Top ]

#### OPERATOR_ENDSWITH = 'endsWith'

[line 47]

[ Top ]

#### OPERATOR_EQUAL = 'equal'

[line 48]

[ Top ]

#### OPERATOR_GREATERTHAN = 'greaterThan'

[line 49]

[ Top ]

#### OPERATOR_GREATERTHANOREQUAL = 'greaterThanOrEqual'

[line 50]

[ Top ]

#### OPERATOR_LESSTHAN = 'lessThan'

[line 51]

[ Top ]

#### OPERATOR_LESSTHANOREQUAL = 'lessThanOrEqual'

[line 52]

[ Top ]

#### OPERATOR_NONE = ''

[line 45]

[ Top ]

#### OPERATOR_NOTCONTAINS = 'notContains'

[line 55]

[ Top ]

#### OPERATOR_NOTEQUAL = 'notEqual'

[line 53]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:33 +0200 by phpDocumentor 1.4.4